﻿
pushd .\


:: The input file or directory
SET INPUT="%~dp0vault_data\in"


:: The destination directory
SET DESTINATION="%~dp0vault_data\out"


:: The error directory
SET ERRORS="%~dp0vault_data\error"


:: The credentials configuration.  Check the docs to see the format
:: of this.  The default path it looks for this is ~/.creds/virtru-cli-creds.json
SET CONFIG="%~dp0virtru-creds-policy.json"
:: Policy configuration for access to files created 
SET POLICY="%~dp0policy.json"



:: Runs the command
%~dp0win-x64\virtru.console.exe bulk-encrypt -s %INPUT% -d %DESTINATION% -c %CONFIG% -e %ERRORS% -p %POLICY%


popd